Skip to main content
GET
/
data
/
projects
/
{id}
Get project
curl --request GET \
  --url https://acusight.io/api/data/projects/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "batches": [
      {
        "created_at": "<string>",
        "device_id": "<string>",
        "id": 123,
        "image_count": 123,
        "name": "<string>",
        "source": "<string>",
        "stage": "<string>",
        "status": "<string>"
      }
    ],
    "classes": [
      {
        "color": "<string>",
        "created_at": "<string>",
        "id": 123,
        "name": "<string>",
        "project_id": 123,
        "updated_at": "<string>"
      }
    ],
    "created_at": "<string>",
    "description": "<string>",
    "id": 123,
    "name": "<string>",
    "project_type": "<string>",
    "updated_at": "<string>",
    "versions": [
      {
        "batch_count": 123,
        "created_at": "<string>",
        "id": 123,
        "image_count": 123,
        "name": "<string>",
        "version": 123
      }
    ]
  },
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Path Parameters

id
integer
required

Project ID

Response

Project details

data
object
error
object
meta
object
success
boolean